function [d__] = demapovani_uplink(d_, MAP, uSchVec)
d__ = zeros(size(d_,1)*size(d_,2),1);
index = 0;

for i2 = 1:size(d_,2),
    start = find(uSchVec, 1, 'first')-1;
    d_((start*12+1):(start+sum(uSchVec))*12,i2) = ifft(d_((start*12+1):(start+sum(uSchVec))*12,i2)*sqrt(sum(uSchVec)*12));
    for i = 1:size(d_,1),
        if(MAP(i,i2) == 6)
            index = index + 1;
            d__(index) = d_(i,i2);
        end
    end
end
d__ = d__(1:index);